/***************************************************************************
 *   Copyright (C) 2008  Antony Martin <martin(dot)antony(at)yahoo(dot)fr> *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or         *
 *   modify it under the terms of the GNU General Public License           *
 *   as published by the Free Software Foundation; either version 2        *
 *   of the License, or (at your option) any later version.                *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA          *
 ***************************************************************************/

/* Cree le : 12 octobre 2006
   derniere modification le 19/11/2008 */

#ifndef SCENGINE_H
#define SCENGINE_H

#include <SCE/SCEMinimal.h>

#include <SCE/utils/SCEMath.h>
#include <SCE/utils/SCEVector.h>
#include <SCE/utils/SCEQuaternion.h>
#include <SCE/utils/SCEMatrix.h>
#include <SCE/utils/SCELine.h>
#include <SCE/utils/SCERectangle.h>
#include <SCE/utils/SCEPlane.h>

#include <SCE/utils/SCEInert.h>
#include <SCE/utils/SCEMedia.h>
#include <SCE/utils/SCEResources.h>

#include <SCE/core/SCECore.h>

#include <SCE/interface/SCEOBJLoader.h>
#include <SCE/interface/SCENode.h>
#include <SCE/interface/SCEBoundingBox.h>
#include <SCE/interface/SCEFrustum.h>
#include <SCE/interface/SCEMesh.h>
#include <SCE/interface/SCEQuad.h>

#include <SCE/interface/SCELight.h>
#include <SCE/interface/SCECamera.h>
#include <SCE/interface/SCELevelOfDetail.h>
#include <SCE/interface/SCEState.h>
#include <SCE/interface/SCEGeometryInstance.h>
#include <SCE/interface/SCESceneResource.h>
#include <SCE/interface/SCESceneEntity.h>
#include <SCE/interface/SCEScene.h>

/* set up for C function definitions, even when using C++ */
#ifdef __cplusplus
extern "C"
{
#endif

int SCE_Init (FILE*, SCEflags);

void SCE_Quit (void);

const char* SCE_GetVersionString (void);

#ifdef __cplusplus
} /* extern "C" */
#endif

#endif /* guard */
